import { Beer } from '@/models/Beer';
import { Configuration } from '@/utils/configuration';

export async function searchBeer(search: string): Promise<Beer[]> {
  const response = await fetch(`${Configuration.APIBaseUrl}/Beer?search=${search}`, {
    credentials: 'include',

  });

  return await response.json();
}

export async function addFavouriteBeer(beerId: number): Promise<boolean> {
  const response = await fetch(`${Configuration.APIBaseUrl}/Favourites`, {
    method: 'POST',
    body: JSON.stringify({
      beerId,
    }),
    credentials: 'include',
    headers: {
      'Content-Type': 'application/json',
    },
  });

  return response.ok;
}

export async function getFavouriteBeers(): Promise<Beer[]> {
  const response = await fetch(`${Configuration.APIBaseUrl}/Favourites`, {
    credentials: 'include',
  });

  return await response.json();
}
